/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.colorsync.CMMComponent;

//import dstep.AvailabilityMacros;
import dstep.applicationservices.colorsync.CMApplication;
import dstep.applicationservices.colorsync.CMFloatBitmap;
import dstep.applicationservices.colorsync.CMTypes;
import dstep.coreservices.CoreServices;

extern (C)
{
	CMError CWColorWorldSetProperty (CMWorldRef cw, CFStringRef key, CFTypeRef value);
	CMError CWColorWorldGetProperty (CMWorldRef cw, CFStringRef key);
	int CMM_ConcatColorWorld (CMWorldRef cw, NCMConcatProfileSet* profileSet, CMConcatCallBackUPP proc, void* refCon);
	int CMM_MatchColors (CMWorldRef cw, CMColor* colors, uint count);
	int CMM_CheckColors (CMWorldRef cw, CMColor* colors, uint count, char* result);
	int CMM_ValidateProfile (CMProfileRef prof, char* valid);
	int CMM_MatchBitmap (CMWorldRef cw, CMBitmap* bitmap, CMBitmapCallBackUPP progressProc, void* refCon, CMBitmap* matchedBitmap);
	int CMM_CheckBitmap (CMWorldRef cw, CMBitmap* bitmap, CMBitmapCallBackUPP progressProc, void* refCon, CMBitmap* resultBitmap);
	int CMM_MatchFloatBitmap (CMWorldRef cw, CMFloatBitmap* bitmap, CMFloatBitmap* resultBitmap);
	int CMM_CreateLinkProfile (CMProfileRef prof, NCMConcatProfileSet* profileSet, CMConcatCallBackUPP proc, void* refCon);
	CFTypeRef CMM_GetProperty (CMWorldRef cw, CFStringRef requestedKey);
}