/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecAsn1Types;

import dstep.corefoundation.CFBase;
import dstep.security.cssmtype;
//import dstep.stdint;
//import dstep.sys.types;

alias extern (C) SecAsn1Template* function (void*, ubyte, char*, void*) SecAsn1TemplateChooserPtr;

extern (C)
{
	SecAsn1Template* SecAsn1TemplateChooser (void*, ubyte, char*, void*);
}

struct SecAsn1Template
{
	uint kind;
	uint offset;
	void* sub;
	uint size;
}

